package app.insti.api.model;

import com.google.gson.annotations.SerializedName;

import java.util.List;

import app.insti.interfaces.CardInterface;

public class BroadActivity implements CardInterface {

    @SerializedName("id")
    private String broadActivityID;

    @SerializedName("name")
    private String broadActivityName;

    @SerializedName("image_url")
    private String broadActivityImageURL;

    @SerializedName("children")
    private List<SubActivity> broadActivityChildren;

    public String getBroadActivityID() {
        return broadActivityID;
    }

    public String getBroadActivityName() {
        return broadActivityName;
    }

    public String getBroadActivityImageURL() {
        return broadActivityImageURL;
    }

    public List<SubActivity> getBroadActivityChildren() {
        return broadActivityChildren;
    }

    public void setBroadActivityID(String broadActivityID) {
        this.broadActivityID = broadActivityID;
    }

    public void setBroadActivityName(String broadActivityName) {
        this.broadActivityName = broadActivityName;
    }

    public void setBroadActivityImageURL(String broadActivityImageURL) {
        this.broadActivityImageURL = broadActivityImageURL;
    }

    public void setBroadActivityChildren(List<SubActivity> broadActivityChildren) {
        this.broadActivityChildren = broadActivityChildren;
    }


    @Override
    public long getId() {
        return getBroadActivityID().hashCode();
    }

    @Override
    public String getTitle() {
        return getBroadActivityName();
    }

    @Override
    public String getSubtitle() {
        return null;
    }

    @Override
    public String getAvatarUrl() {
        return getBroadActivityImageURL();
    }
}
